#define MEMSIZE 0x3E80
#include "..\lib\kolibri.h" 
#include "..\lib\strings.h" 
#include "..\lib\file_system.h"
#include "..\lib\cursor.h"

dword CursorFile = FROM "pointer.cur";
CustomCursor CursorPointer;


void main()
{   
	int id, key;
	int on;
	CursorPointer.Load(#CursorFile);
	
	loop()
   {
      switch(WaitEvent())
      {
         case evButton:
            id=GetButtonID();               
            if (id==1) ExitProcess();
			break;
      
        case evKey:
			key = GetKey();
			IF (key==013){ //Enter
				if (!on)
				{
					CursorPointer.Set();
					on = 1;
				}
				else 
				{
					CursorPointer.Restore();
					on = 0;
				}
			}
			break;
         
         case evReDraw:
			draw_window();
			break;
      }
   }
}


void draw_window()
{
	proc_info Form;
	DefineAndDrawWindow(215,100,320,200,0x34,0xFFFFFF,"Window header");
	GetProcessInfo(#Form, SelfInfo);
	WriteText(40,80,0x80,0,"Press Enter to on/off hand cursor");
}


stop:
